import { OnGatewayConnection, OnGatewayDisconnect } from '@nestjs/websockets';
import { Server, WebSocket } from 'ws';
import { OnApplicationShutdown } from '@nestjs/common';
import { WebSocketEvent } from './websocket.events';
export declare class EventsGateway implements OnGatewayConnection, OnGatewayDisconnect, OnApplicationShutdown {
    server: Server;
    private readonly logger;
    handleConnection(client: WebSocket): void;
    handleDisconnect(client: WebSocket): void;
    onApplicationShutdown(signal?: string): Promise<void>;
    sendToAll<E extends WebSocketEvent>(event: E['event'], data: E['data']): void;
}
